Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.util
Class XBitSet

    java.lang.Object
      de.grogra.xl.util.XBitSet

    public class XBitSet

extends java.lang.Object

Constructor Summary
`XBitSet()`
`XBitSet(int capacity)`

Method Summary
`boolean` | `add(int bitIndex)`
`void` | `addToList(IntList list)`
`void` | `and(XBitSet a, XBitSet b)`
`void` | `andNot(XBitSet a, XBitSet b)`
`int` | `cardinality()`
`void` | `clear()`
`void` | `clear(int bitIndex)`
`boolean` | `flip(int bitIndex)`
`boolean` | `get(int bitIndex)`
`int` | `getBits(int bitIndex)`
`boolean` | `intersects(XBitSet set)`
`int` | `nextBit(int fromIndex, boolean value)`
`int` | `nextClearBit(int fromIndex)`
`int` | `nextSetBit(int fromIndex)`
`void` | `or(XBitSet a, XBitSet b)`
`boolean` | `remove(int bitIndex)`
`void` | `set(int bitIndex)`
`void` | `set(int bitIndex, boolean value)`
`void` | `set(XBitSet src)`
`void` | `setBits(int bitIndex, int bits)`
`void` | `setRange(int startIndex, int endIndex, boolean value)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XBitSet

    public XBitSet()

### XBitSet

    public XBitSet(int capacity)

Method Detail

### add

    public boolean add(int bitIndex)

### addToList

    public void addToList(IntList list)

### and

    public void and(XBitSet a,
                    XBitSet b)

### andNot

    public void andNot(XBitSet a,
                       XBitSet b)

### cardinality

    public int cardinality()

### clear

    public void clear()

### clear

    public void clear(int bitIndex)

### flip

    public boolean flip(int bitIndex)

### get

    public boolean get(int bitIndex)

### getBits

    public int getBits(int bitIndex)

### intersects

    public boolean intersects(XBitSet set)

### nextBit

    public final int nextBit(int fromIndex,
                             boolean value)

### nextClearBit

    public final int nextClearBit(int fromIndex)

### nextSetBit

    public final int nextSetBit(int fromIndex)

### or

    public void or(XBitSet a,
                   XBitSet b)

### remove

    public boolean remove(int bitIndex)

### set

    public void set(int bitIndex)

### set

    public void set(int bitIndex,
                    boolean value)

### set

    public void set(XBitSet src)

### setBits

    public void setBits(int bitIndex,
                        int bits)

### setRange

    public void setRange(int startIndex,
                         int endIndex,
                         boolean value)

### size

    public int size()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD